/* Generated by Frama-C */
#include "stddef.h"
#include "stdint.h"
#include "stdio.h"
#include "stdlib.h"
extern  __attribute__((__FC_BUILTIN__)) int __e_acsl_sound_verdict;

extern size_t __e_acsl_heap_allocation_size;

int main(void)
{
  int __retres;
  __e_acsl_memory_init((int *)0,(char ***)0,(size_t)8);
  {
    __e_acsl_assert_data_t __gen_e_acsl_assert_data = {.values = (void *)0};
    __e_acsl_assert_register_ulong(& __gen_e_acsl_assert_data,
                                   "__e_acsl_heap_allocation_size",0,
                                   __e_acsl_heap_allocation_size);
    __gen_e_acsl_assert_data.blocking = 1;
    __gen_e_acsl_assert_data.kind = "Assertion";
    __gen_e_acsl_assert_data.pred_txt = "__e_acsl_heap_allocation_size == 0";
    __gen_e_acsl_assert_data.file = "tests/memory/init_function.c";
    __gen_e_acsl_assert_data.fct = "main";
    __gen_e_acsl_assert_data.line = 16;
    __e_acsl_assert(__e_acsl_heap_allocation_size == 0UL,
                    & __gen_e_acsl_assert_data);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data);
  }
  /*@ assert __e_acsl_heap_allocation_size == 0; */ ;
  char *a = malloc((unsigned long)7);
  {
    __e_acsl_assert_data_t __gen_e_acsl_assert_data_2 =
      {.values = (void *)0};
    __e_acsl_assert_register_ulong(& __gen_e_acsl_assert_data_2,
                                   "__e_acsl_heap_allocation_size",0,
                                   __e_acsl_heap_allocation_size);
    __gen_e_acsl_assert_data_2.blocking = 1;
    __gen_e_acsl_assert_data_2.kind = "Assertion";
    __gen_e_acsl_assert_data_2.pred_txt = "__e_acsl_heap_allocation_size == 7";
    __gen_e_acsl_assert_data_2.file = "tests/memory/init_function.c";
    __gen_e_acsl_assert_data_2.fct = "main";
    __gen_e_acsl_assert_data_2.line = 18;
    __e_acsl_assert(__e_acsl_heap_allocation_size == 7UL,
                    & __gen_e_acsl_assert_data_2);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data_2);
  }
  /*@ assert __e_acsl_heap_allocation_size == 7; */ ;
  __retres = 0;
  __e_acsl_memory_clean();
  return __retres;
}


